#!/usr/bin/wksh -openlook

ID=`id | cut -d"(" -f2 | cut -d ")" -f1`
if [ $ID != "root" ]
then
    echo "\n"
    echo "      You must su to root to execute this script\n"
    echo "      Press the <Enter> key to exit \c"
    read ans
    exit 1
fi


#
 echo ""
 echo " ... Installing pppsetup and related files"
 echo ""
#
#----                   Put the DTM related files in the right places
#
 echo " ... Copying desktop metaphor files"
 mv ppp.icon /usr/X/lib/pixmaps/ppp.icon >/dev/null
 chmod 666 /usr/X/lib/pixmaps/ppp.icon >/dev/null 
 mv ppp.cdb /usr/X/lib/classdb/ppp.cdb >/dev/null 2>&1
 chmod 644 /usr/X/lib/classdb/ppp.cdb >/dev/null 2>&1
 chown bin /usr/X/lib/classdb/ppp.cdb >/dev/null 2>&1
 chgrp bin /usr/X/lib/classdb/ppp.cdb >/dev/null 2>&1
#
#----                   Add the reference to the class database
#
 echo " ... Editing the desktop metaphor class database"
 ed /usr/X/lib/classdb/dtadmin >/dev/null 2>&1 <<EOT
g/INCLUDE pppsetup/d
w
q
EOT
 echo "INCLUDE ppp.cdb;" >>/usr/X/lib/classdb/dtadmin

echo " "

mv ./pppsetup /usr/X/bin/pppsetup
chown root /usr/X/bin/pppsetup 
chgrp sys /usr/X/bin/pppsetup
chmod 555 /usr/X/bin/pppsetup
mv ./PPPSetup /usr/X/bin/PPPSetup
chown root /usr/X/bin/PPPSetup 
chgrp sys /usr/X/bin/PPPSetup
chmod 555 /usr/X/bin/PPPSetup
ln -s /usr/X/bin/PPPSetup $HOME/PPPSetup >/dev/null 2>&1
mkdir /usr/X/lib/pppsetup 2>/dev/null
mv ./ppphelp* /usr/X/lib/pppsetup
chmod 444 /usr/X/lib/pppsetup/ppphelp*
mv ./WKSH_support /usr/X/adm/WKSH_support
chgrp sys /usr/X/adm/WKSH_support
chmod 444 /usr/X/adm/WKSH_support
rm ./installppp.sh

#
#----			Successful installation.
#
 echo ""
 echo "		You have installed the pppsetup utility"
 echo "		Please logout and in to get the icon in your"
 echo "		Home folder."
 echo "
A ppp technical information document is also included 
with this utility called dppp.txt.

Note: You need to install tf2038 on this system to use this utility."
